Package org.eclipse.emf.cdo.util

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.cdo.util.CommitException
      - - org.eclipse.emf.cdo.util.DataIntegrityException
        - - org.eclipse.emf.cdo.util.ValidationException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ValidationException
      extends DataIntegrityException

  A `data integrity exception` indicating that the attempt to commit a transaction was rejected because of violation of server-side validation checks.
  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationException()` |
    `ValidationException​(java.lang.String message)` |
    `ValidationException​(java.lang.String message, java.lang.Throwable cause)` |
    `ValidationException​(java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.cdo.util.CommitException

      `isLocal, wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationException

          public ValidationException()

    - #### ValidationException

          public ValidationException​(java.lang.String message)

    - #### ValidationException

          public ValidationException​(java.lang.Throwable cause)

    - #### ValidationException

          public ValidationException​(java.lang.String message,
                                     java.lang.Throwable cause)